#version 460 core
in vec2 TexCoords;
uniform sampler2D textureUnitText;
uniform vec3 textColor;

out vec4 fragColor;

void main()
{
	vec4  sampled = vec4(1,1,1, texture(textureUnitText,TexCoords).r);
	fragColor = sampled * vec4(textColor, 1);
}